Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.navigation.page
Class Article

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.navigation.page.Article

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF11)
    public class Article

extends PdfObjectWrapper<PdfDictionary>

Article thread [PDF:1.7:8.3.2].

Since:
  0.1.2
Version:
  0.1.2, 12/28/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`Article(Document context)`

Method Summary
`boolean` | `delete()` Deletes this thread removing also its reference in the document's collection.
`ArticleElements` | `getElements()` Gets the beads associated to this thread.
`Information` | `getInformation()` Gets common article metadata.
`void` | `setInformation(Information value)`
`static Article` | `wrap(PdfDirectObject baseObject)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, clone, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Article

    public Article(Document context)

Method Detail

### wrap

    public static Article wrap(PdfDirectObject baseObject)

### delete

    public boolean delete()

  Deletes this thread removing also its reference in the document's collection.

  Overrides:
    `delete` in class `PdfObjectWrapper<PdfDictionary>`
  Returns:
    Whether the object was actually decontextualized (only indirect objects can be decontextualized).

### getElements

    public ArticleElements getElements()

  Gets the beads associated to this thread.

### getInformation

    public Information getInformation()

  Gets common article metadata.

### setInformation

    public void setInformation(Information value)

  See Also:
    `getInformation()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.